procedure TForm1.Button9Click(Sender: TObject);
// Lesen der Konto-Daten
VAR Datei : TextFile;
    inhalt : String;
    betrag: extended;
    nr: Integer;
begin
  //Attribute der Klasse TOpenDialog setzen
  openDialog := TOpenDialog.Create(self);
  openDialog.InitialDir := GetCurrentDir;
  openDialog.Title := 'GUI-Banca: Lesen der Text-Datei';
  openDialog.Options := [ofFileMustExist];
  openDialog.Filter :=    'Text file|*.txt';
  openDialog.DefaultExt := 'txt';

  // Der open-file dialog
  if openDialog.Execute
  then BEGIN
    TRY
       AssignFile (Datei,OpenDialog.Filename);
       Reset (Datei);
       bspListe := TListe.Create; // Bsp-Liste neu erzeugen!
       bspListe.Init;
       ListBox1.Clear; // List-Box leeren
       WHILE NOT EOF(Datei) DO
       BEGIN
            Readln (Datei, inhalt); // Konot-Nr
            ListBox1.Items.Add (inhalt);
            Readln (Datei, inhalt);  // Betrag
            betrag := StrToFloat(inhalt);
            elementEinfuegen(bspListe, betrag);
       END;
    EXCEPT
          ShowMessage ('Fehler beim Lesen der Datei!');
    END;
    CloseFile (Datei);
  END
  else ShowMessage('<Lesen> wurde abgebrochen!');

  openDialog.Free;  // Objekt freigeben
end;  // der Prozedur